jQuery( document ).ready( function(){
	var currentAmount = 0,
		globalAmount = 0,
		currentKey = 0;
	
	function createCookie(name,value,days) {
		if (days) {
			var date = new Date();
			date.setTime(date.getTime()+(days*24*60*60*1000));
			var expires = "; expires="+date.toGMTString();
		}
		else var expires = "";
		document.cookie = name+"="+value+expires+"; path=/";
	}

	function readCookie(name) {
		var nameEQ = name + "=";
		var ca = document.cookie.split(';');
		for(var i=0;i < ca.length;i++) {
			var c = ca[i];
			while (c.charAt(0)==' ') c = c.substring(1,c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
		}
		return null;
	}
	
	function eraseCookie(name) {
		createCookie(name,"",-1);
	}
	
	var groupHandle = jQuery( '.friendslist_group_handle' );
	
	if( groupHandle.length >= 2 ){
	
		jQuery( '.friendslist_group_handle' )[ 2 ].click();

		jQuery( '.chat_page_header_user' ).append( '<form id = "formSend"><input size="50" type = "text" id = "textToSend" ><input type="submit" value="Wyślij" id = "send" ></form>\
			<br>\
			Lista wyjątków:\
			<ul id = "ulAdd" >\
			</ul>\
			<form id = "add">\
				<input placeholder = "SteamID Osoby" type = "text" id = "textAdd" >\
				<input type = "submit" value = "Dodaj" >\
			</form>\
			<div id="currentAmount" style="\
		margin-top: 10px;\
	"></div>\
			<progress id="currentAmountProgress" value="0" max="100" style="\
		width: 80%;\
		margin-top: 10px;\
	"></progress>' );
			
		for( var key in Chat.m_rgPlayerCache ){
			if (!Chat.m_rgPlayerCache.hasOwnProperty(key)) continue;
			
			globalAmount++;
			
			jQuery( '#currentAmountProgress' ).attr( 'max' , globalAmount );
		}
		
		jQuery( '#currentAmount' ).text( 'Wysyłanie wiadomości ' + currentAmount + ' / ' +  globalAmount );
		
		jQuery( "#formSend" ).submit( function( event ){
		
			event.preventDefault();
			
			var cookieVal = readCookie( 'blockedIds' );
			
			var decodedVal = [];
		
			if( cookieVal == null ){
				decodedVal = [];
			}
			else{	
				decodedVal = JSON.parse( cookieVal );
			}
		
			var currentVal = jQuery( '#textToSend' ).val();
			
			globalAmount = 0;
			
			for( var key in Chat.m_rgPlayerCache ){
				if (!Chat.m_rgPlayerCache.hasOwnProperty(key)) continue;
				
				globalAmount++;
				
				jQuery( '#currentAmountProgress' ).attr( 'max' , globalAmount );
			}
			
			setInterval( function(){
				var nextStart = false;
				
				if( currentKey == 0 ){
					nextStart = true;
				}
				
				for( var key in Chat.m_rgPlayerCache ){
					if (!Chat.m_rgPlayerCache.hasOwnProperty(key)) continue;
					
					if( !nextStart ){
						
						if( currentKey == key ){
							nextStart = true;
						}
						
						continue;
					}
					
					currentKey = key;
					
					currentAmount++;
					
					jQuery( '#currentAmount' ).text( 'Wysyłanie wiadomości ' + currentAmount + ' / ' +  globalAmount );
					
					jQuery( '#currentAmountProgress' ).attr( 'value' , currentAmount );
					
					var foundId = false;
					
					for( var iPosition = 0; iPosition < decodedVal.length; iPosition++ ){
						if( decodedVal[ iPosition ] == Chat.m_rgPlayerCache[key][ 'm_ulSteamID' ] ){
							foundId = true;
							
							break;
						}
					}
					
					if( foundId ){
						continue;
					}
					 
					console.log( Chat.m_rgPlayerCache[key][ 'm_ulSteamID' ] );
					
					var rgParams = {
						umqid: Chat.m_umqid,
						type: 'saytext',
						steamid_dst: Chat.m_rgPlayerCache[key][ 'm_ulSteamID' ],
						text: currentVal
					};
					
					jQuery('*[data-miniprofile="' + key + '"]').css( 'background-color' , 'red' );
					
					Chat.m_WebAPI.ExecJSONP( 'ISteamWebUserPresenceOAuth', 'Message', rgParams, true );
					
					return;
				}
			} , 5000 );
			
			jQuery( '#textToSend' ).val( '' );
			
			return false;
		});
		
		jQuery( '#add' ).submit( function( event ){
			
			var textAdd = jQuery( '#textAdd' ).val().trim();
				
			if( textAdd.length == 0 ){
				return
			}
			
			var cookieVal = readCookie( 'blockedIds' );
			
			var decodedVal = [];
		
			if( cookieVal == null ){
				decodedVal = [];
			}
			else{	
				decodedVal = JSON.parse( cookieVal );
			}
			
			decodedVal.push( jQuery( '#textAdd' ).val().trim() );
			
			jQuery( '#textAdd' ).val( '' );
			
			jQuery( '#ulAdd' ).empty();
					
			for( var iPosition = 0; iPosition < decodedVal.length; iPosition++ ){	
				jQuery( '#ulAdd' ).append( '<li><a href = "https://steamcommunity.com/profiles/' + decodedVal[ iPosition ] + '" target="_blank" >' + decodedVal[ iPosition ] + '</a></li>' );
			}
			
			eraseCookie( 'blockedIds' );
			
			createCookie(  'blockedIds' , JSON.stringify( decodedVal ) , 365 );
			
			event.preventDefault();
		});
		
		var cookieVal = readCookie( 'blockedIds' );
		
		var decodedVal = [];
		
		if( cookieVal == null ){
			decodedVal = [];
		}
		else{	
			decodedVal = JSON.parse( cookieVal );
		}
		
		for( var iPosition = 0; iPosition < decodedVal.length; iPosition++ ){	
			jQuery( '#ulAdd' ).append( '<li><a href = "https://steamcommunity.com/profiles/' + decodedVal[ iPosition ] + '" target="_blank" >' + decodedVal[ iPosition ] + '</a></li>' );
		}
	}
});